RANLIB(1)

NAME
ranlib - table-of-contents for archive libraries

SYNOPSIS
ranlib [-t] file ...

DESCRIPTION
Ranlib creates a table of external references for archive libraries, normally used by the loader, ld(1). This table is is named ``__.SYMDEF'' and is prepended to the archive. Files in the archive which are not executable and symbols which are uninteresting to the loader are ignored.

The options are as follows:

-t  Set the modification time of the __.SYMDEF file. This time is compared by the loader with the modification time of the archive to verify that the table is up-to-date with respect to the archive. If the modification time has been changed without any change to the archive (for example, by a cp(1)), the -t option can be used to ``touch'' the modification time so that it appears that the table is up-to-date.

FILES

/tmp
    default temporary file directory

ranlib.XXXXXX
    temporary file names

SEE ALSO
ar(1), ld(1), lorder(1), nm(1), ranlib(5)

HISTORY
A ranlib command appeared in Version 7 AT&T UNIX.